Name:           perl-HTTP-Headers-ActionPack
Version:        0.09
Release:        6%{?dist}
Summary:        A Perl module to handle the inflation and deflation of complex HTTP header types
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/HTTP-Headers-ActionPack/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/HTTP-Headers-ActionPack-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Headers::Util)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(overload)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Message::PSGI)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(Test::Fatal) >= 0.0003
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warnings)
# Commented out to break the cycle 'perl(Web::Machine) <-> perl(HTTP::Headers::ActionPack)'
# BuildRequires:  perl(Web::Machine)

%description
This is a module to handle the inflation and deflation of complex HTTP
header types. In many cases header values are simple strings, but in
some cases they are complex values with a lot of information encoded in
them. The goal of this module is to make the parsing and analysis of
these headers as easy as calling inflate on a compatible object.

%prep
%setup -q -n HTTP-Headers-ActionPack-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes README.md eg
%license LICENSE
%{perl_vendorlib}/HTTP*
%{_mandir}/man3/HTTP*

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-4
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.09-2
- Break the cycle 'Web::Machine <-> HTTP::Headers::ActionPack' (#2001698)

* Mon Aug 30 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.09-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
